Subject: Re: [PATCH 2/2] net: ll_temac: improve reset of buffer on dma mapping

From: [email-masked]
Date: Mon, 30 Jan 2023 13:40:56 +0100

Jakub Kicinski <[email-masked]> writes:

> On Thu, 26 Jan 2023 11:16:07 +0100 Jonas Suhr Christensen wrote:
>> Free buffer and set pointer to null on dma mapping error.
>
> Why? I don't see a leak. You should provide motivation in the commit
> message.

I don't think there is a leak.  But if one of the dma_map_single() calls
in temac_dma_bd_init() fails, the error handling calls into
temac_dma_bd_release(), which will then call dma_unmap_single() on the
address that failed to be mapped.

Can we be sure that doing so is always safe?  If not, this change
ensures that we only unmap buffers that were succesfully mapped.

/Esben